﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.FollowUpEnqModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    @*<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>*@
    @Content.Script("ChildAddEdit.js", Url)
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>

    <script src="~/Scripts/HighestQuali.js"></script>

    <style type="text/css">
        div.box div.overlay { display: none; }
        span:hover { color: orangered !important; font-weight: 700; }
        span { color: #369ECE !important; }
        select { width: 150px; }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>





    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#UserList").val($("#usrhidden").val());
        });
    </script>
    <script type="text/javascript">
        deleterecord("MaEnquiry");
        function Submit(val) {
            searchfun(val);
        }


        function searchfun(val) {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var dtype = $("#Dtype").val();
            var usr = $("#UserList").val();
            var EnqType = $("#EnqType").val();
            var enqabout = $("#CourseGroup").val();

            window.location.href = "/MaEnqFollow/PendingFollowUp?name=" + name + "&&mobile=" + mobile + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr + "&dtype=" + dtype + "&EnqType=" + EnqType + "&enquiryabout=" + enqabout + "&Report=" + val;
            $("#UserList").val(usr);
        }


        $(document).ready(function () {
            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });

    </script>
    @*<script type="text/javascript">
            $("#pagng").css('width', '80px');
            $("#EnqType1").css('width', '350px');
            $("#txtpageno").css('width', '100px');
            $(function () {
                $(".table").tablesorter({ widthFixed: true })
                   .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
            });
        </script>*@
    <script type="text/javascript">
        var Idd;
        function UpdateEn(pid) {
            $("#updbtn").click(function () {
                var EnqType = $("#EnqType1").val();
                if (EnqType == "") {
                    return;
                }
                window.location = "/MaEnqFollow/UpdateEnqType?Id=" + pid + "&EnqType=" + EnqType;
            });
            $("#basic").modal('show');

        }
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            <td style="width: 120px">
                <b>From Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>To Date</b>
            </td>
            <td>
                Type
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>Enquiry Handled By</b>
            </td>
            <td>
                <b>Enq Type</b>
            </td>

            <td>
                Enq About
            </td>
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 175px" id="txtname" value="@ViewBag.name" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            <td>
                <input id="dateofwnquiry" type="date" style="width: 120px" value="@ViewBag.dt1" />
            </td>
            <td></td>
            <td>
                <input id="tdate" type="date" style="width: 120px" value="@ViewBag.dt2" />
            </td>
            <td>
                <select id="Dtype">
                    <option value="FD">
                        Followup Date
                    </option>
                    <option value="CD">
                        Create Date
                    </option>
                </select>
            </td>
            <td></td>
            <td>
                @Html.DropDownList("UserList", "All")
                <input type="hidden" id="usrhidden" value="@ViewBag.usr" />
            </td>
            <td>
                @Html.DropDownList("EnqType", "All")

            </td>
            <td align="left">
                @Html.DropDownList("CourseGroup", "All")
            </td>
        </tr>
        <tr>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                        <td style="vertical-align: top">
                            <input type="button" value="Export to Excel" id="Reportbtn" class="btn btn-primary" onclick="Submit('Excel')" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <br />
    @Html.ActionLink("Today Followup", "PendingFollowUpbycreatedate")
    <div class="well">
        @{
            List<PendingEnqSummary> summary = (List<PendingEnqSummary>)ViewBag.Summ;
        }
        @{
            try
            {
                <table class="table">
                    <thead>
                        <tr>
                            <th>
                                Enq Type
                            </th>
                            <th>
                                Count
                            </th>

                        </tr>
                    </thead>
                    <tbody>

                        @foreach (var item in summary)
                {
                            <tr>
                                <td>
                                    @item.EnqType
                                </td>
                                <td>
                                    @item.Cnt
                                </td>

                            </tr>


                        }
                    </tbody>
                </table>
            }
            catch (Exception)
            {
            }
        }


    </div>

    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*  @Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" style="width:100%;overflow-x:scroll">
            <table class="table" id="example">
                <thead>
                    <tr>
                        <th>
                        </th>
                        <th>
                            Enq No
                        </th>
                        <th>
                            Enq Type
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Enq. About
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Father's/Husband's No.
                        </th>
                        <th>
                            Enq. Date
                        </th>
                        <th>
                            Visa Type
                        </th>
                        <th>
                            Next Follow Up
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>
                        <th>
                            Enq Handle By
                        </th>

                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {

                        MaEnquiry enq = db.MaEnquiries.Where(z => z.Id == item.Id).First();
                        string Color = "";
                        if (enq.EnqType == "HOT")
                        {
                            Color = "#d05656";
                        }
                        <tr style="color:@Color">
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", "MaEnquiry", new { id = item.Id }, null, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "MaEnquiry", new { id = item.Id }, null, null)

                                @*@Html.ImageActionLink("../../Content/themes/base/images/add.png", "Add Highest Qualification", "CallHighest", new { id = item.Id })*@

                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = item.Id, reftype = "Enquiry", name = item.FirstName + " " + item.LastName, refno = item.Id }, new { @class = "editAcBtn" }, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Admission.png", "Move To Admission", "Create", "MaAdmission", new { id = item.Id }, null, null)
                                @*<a href="#" title="Update Enquiry Type" onclick="UpdateEn(@item.Id)"><i class="icon-edit" style="font-size:30px"></i> </a>*@
                            </td>
                            <td>
                                @Html.DisplayFor(modelitem => item.Id)
                            </td>
                            <td>
                                @Html.DisplayFor(modelitem => item.EnqType)
                            </td>
                            <td>
                                <span  onmouseover="showdetail(@item.Id)" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.FirstName) @Html.DisplayFor(modelItem => item.LastName)</span>
                            </td>


                            <td>
                                @Html.DisplayFor(modelItem => item.enqab)
                            </td>


                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.AlternateMobile)
                            </td>
                            <td>
                                @{string walkdate = string.Format("{0:dd MMM,yyyy}", @enq.WalkInDate);}
                                @walkdate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.VisaType)
                            </td>
                            @*<td>
                                @{
                                    int timeid = 0;

                                    try
                                    {
                                        timeid = Convert.ToInt32(item.GroupTime);
                                    }
                                    catch (Exception)
                                    {
                                    }
                                    string grouptime = "";
                                    if (timeid > 0)
                                    {
                                        grouptime = db.MaGroupTime_View.Where(z => z.Timeid == timeid).Select(z => z.BatchTime).First();
                                    }

                                }
                                @grouptime
                            </td>*@
                            <td>
                                @*@{if (db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
                                        {
                                            DateTime? dt = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).First();
                                            string nxtdate = string.Format("{0:dd MMM, yyyy}", dt);
                                            @nxtdate
                                        }

                                    }*@
                                @{
                                    string nxtdate = "";
                                    try
                                    {
                                        nxtdate = string.Format("{0:dd MMM, yyyy}", item.nxdt);
                                    }
                                    catch (Exception)
                                    {
                                    }
                                }
                                @nxtdate

                            </td>
                            <td width="100px" style="overflow: hidden">
                                @{if (db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
                                    {
                                        string rem = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Remarks).First();
                                        if (rem != null)
                                        {
                                            if (rem.Length > 20)
                                            {
                                                string sustrg = rem.Substring(0, 20);
                                                @sustrg
                                                <br />
                                                <div class="box">
                                                    <a id="remarks">Read-More...</a>
                                                    <div class="overlay">
                                                        @rem
                                                    </div>
                                                </div>
                                            }
                                            else
                                            {
                                                @rem
                                            }
                                        }

                                    }
                                }
                            </td>
                            <td>
                                @item.Enqstatus
                            </td>
                            <td>
                                @enq.User1.Fullname
                            </td>

                        </tr>

                                    }
                </tbody>
            </table>
        </div>
        @*<table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.Partial("_Pager")
                    </td>
                </tr>
            </table>*@
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        @*<div id="editDialog" title="Add Enquiry Follow Up" style="width: 556px">
        </div>*@
    </div>
</div>
<div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Update Enquiry Type</h4>
            </div>
            <div class="modal-body">
                <div class="col-md-12">
                    @Html.DropDownList("EnqType1", (SelectList)ViewBag.val, "Select", new { @class = "form-control" })<br />
                    <button type="button" id="updbtn" class="btn btn-primary">Update</button>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
